
function I=GaussLegendre(f,a,b,N)
    h = (b-a)/N;
    T = a+(0:N-1)*h;
    X1 = T + (1/2-sqrt(15)/10)*h;
    X2 = T + h/2;
    X3 = T + (1/2+sqrt(15)/10)*h;
    F = 1/18*[5*f(X1)+8*f(X2)+5*f(X3)];
    I = h*sum(F);
endfunction

function I=Simpson(f,a,b,N)
    h = (b-a)/N;
    T = a+(0:N-1)*h;
    X1 = T ;
    X2 = T + h/2;
    X3 = T + h;
    F = 1/6*[f(X1)+4*f(X2)+f(X3)];
    I = h*sum(F);
endfunction

function I=PointMilieu(f,a,b,N)
    h = (b-a)/N;
    T = a+(0:N-1)*h;
    X = T + h/2;
    F = [f(X)];
    I = h*sum(F);
endfunction
