clear;
stacksize('max');

function y=f(x)
    y = exp(sin(x))./(x.^(8/9));
endfunction
I = 10.09485330

// methode mixte Gauss - point milieu :
scf(9);clf();
H=0.2*[0.8].^(1:15);
ERRH=[];
for i=1:length(H)
    N = 2^(4:20);
    Err2 = [];
    for n = N
        h = H(i);
        X = linspace(h,1,n);
        X = 0.5*(X(1:n-1)+X(2:n));
        Y = f(X);
        dx = X(2)-X(1);
        Iapp = sum(dx*Y); // point milieu sur [h,1]
        Iapp = Iapp + 9*h^(1/9)*exp(sin(h/10)); // gauss P_1-exacte sur [0,h]
        Err2 = [Err2,abs(Iapp-I)];
    end
    subplot(2,1,1);
    plot(log(N),log(Err2),'r')
    ERRH=[ERRH,Err2($)];
end
title('Courbes de convergence en fonction de n pour differents h'); xlabel('log(n)'); ylabel('log(err)');
subplot(2,1,2);
plot(log(H),log(ERRH));
[a,b]=reglin(log(H($-3:$)),log(ERRH($-3:$)));
title('erreur limite en fonction de h'); xlabel('log(h)'); ylabel('log(err_min)');
xstring(-3,-12,string(a))

